#include "itemwithengine.h"

ItemWithEngine::ItemWithEngine(QQuickItem *parent) :
    QQuickItem(parent)
{
    m_engine = new QQmlEngine(this);
    QQmlComponent *component = new QQmlComponent(m_engine, m_engine);
    component->loadUrl(QUrl(QStringLiteral("qrc:///internal.qml")));
    m_obj = qobject_cast<QQuickItem*>(component->create(m_engine->rootContext()));
    m_obj->setParentItem(this);
}
