import QtQuick 2.4
import QtQuick.Window 2.1
import Test 1.0

Window {
    visible: true
    width: 360
    height: 360

    MouseArea {
        anchors.fill: parent
        onClicked: {
            Qt.quit();
        }
    }

    Text {
        text: qsTr("Hello World")
        anchors.centerIn: parent
    }
    RegExpValidator {
        regExp: /.*/
    }

    ListView {
        anchors.fill: parent
        model: 5
        delegate: ItemWithEngine {
            width: 100
            height: 100
        }
    }
}
